package ehtest;

import net.sf.ehcache.Element;
import net.sf.ehcache.search.attribute.AttributeExtractor;

public class DataObjectExtractor implements AttributeExtractor
{
  public Object attributeFor(Element element, String attributeName)
  {
    Object object = element.getObjectValue();
    if (object instanceof DataObject)
    {
      return ((DataObject)object).get(attributeName);
    }
    else
    {
      return null;
    }
  }
}